Bug 455525 - KERNEL BUG AT KERNEL/EXIT.C:881!
KERNEL BUG AT KERNEL/EXIT.C:881!
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
i686 Linux
low Severity urgent
: rc
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-15 17:33 EDT by Guru Anbalagane
Modified: 2008-08-25 16:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2008:0650
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-05 11:09:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sys_times testcase (642 bytes, text/x-csrc)
2008-07-21 18:18 EDT, Guru Anbalagane
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 435280 None None None Never

  None (edit)
Description Guru Anbalagane 2008-07-15 17:33:20 EDT
Description of problem:
Kernel panic occurs while starting Oracle software
after upgrading the kernel from 2.6.9-67.0.15.ELsmp to 2.6.9-67.0.20.ELsmp 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Have EM agent running. or any multithreaded program 
  

Diagnosis:
It appears the patch
linux-2.6.9-sys_times-Fix-system-unresponsiveness-during-many-c.patch 
causes this BUG to trigger.
Comment 1 Jeremy West 2008-07-21 15:37:47 EDT
Hi Guru,

Could you please provide us with some additional information on this bug?  Can
you provide us with test cases you used to determine that this patch is causing
the problem?  Are there any errors, logs, or straces (sysrq data) that you can
provide?  We'd like to work mutually with you in order to confirm your findings.

Thanks
Jeremy West
Comment 2 Jeremy West 2008-07-21 15:55:49 EDT
Also Guru,

Who are the customers hitting this bug?  We want to make sure we're working
together and on the same page for any of these customer issues.

--jwest
Comment 3 Guru Anbalagane 2008-07-21 18:18:10 EDT
Created attachment 312299 [details]
sys_times testcase

Jeremy,
here is the testcase that reproduces. Any program that is multithreaded and
calls sys_times() will run into this issue.
Comment 4 Keshav Sharma 2008-07-30 16:03:45 EDT
RHEL 4 Update 7 has the same issue.
Comment 5 Jeremy West 2008-08-25 16:14:16 EDT
Keshav and Guru,

Please note that our engineering teams have worked to resolve this issue and a patch was released in the latest RHEL4.7 errata kernel that fixes this problem.  

https://rhn.redhat.com/errata/RHBA-2008-0650.html

Thanks
Jeremy West

Note You need to log in before you can comment on or make changes to this bug.